(function (Drupal) {

  'use strict';

  Drupal.AjaxCommands.prototype.dataLayerCommand = function (ajax, response, status) {
    let index = window.dataLayer.findIndex(function (object) {
      return object.hasOwnProperty('smart_content');
    });
    if (index > -1) {
      window.dataLayer.push([
        'smart_content.push',
        response.data,
      ]);
    }
    else {
      window.dataLayer.push({
        'smart_content': [
          response.data,
        ],
      });
    }
  };

}(Drupal));
